package ru.dbotthepony.mc.otm.datagen

import net.neoforged.neoforge.common.Tags
import ru.dbotthepony.mc.otm.core.math.Decimal
import ru.dbotthepony.mc.otm.data.FlywheelMaterialDataProvider
import ru.dbotthepony.mc.otm.registry.MBlockTags

fun addFlywheelMaterials(provider: FlywheelMaterialDataProvider) {
	provider.add(Tags.Blocks.STORAGE_BLOCKS_DIAMOND, Decimal(25_000_000))
	provider.add(Tags.Blocks.STORAGE_BLOCKS_COPPER, Decimal(60_000_000))
	provider.add(Tags.Blocks.STORAGE_BLOCKS_IRON, Decimal(50_000_000))
	provider.add(Tags.Blocks.STORAGE_BLOCKS_GOLD, Decimal(300_000_000), momentumLossSpeed = Decimal("0.75"))
	provider.add(Tags.Blocks.STORAGE_BLOCKS_NETHERITE, Decimal(1_250_000_000), momentumLossSpeed = Decimal.ONE_HALF)
	provider.add(MBlockTags.TRITANIUM_BLOCKS, Decimal(225_000_000))
}
